# Contributing

We love seeing Pull Request from anyone.

For bigger or controversial changes, consider first discussing it  via issue or
any other method with the maintainers of this repository. Otherwise there's a
risk they might disagree with it and you could spend time on it in vain. Or you
can just open a Pull Request and keep the discussion there.
All code should work well with Python 3 and also be compatible with Python 2.6
and 2.7.


## Sign Off

All commits must be signed-off on. Please use `git commit -s` to do that. This
serves as a confirmation that you have the right to submit your changes. See
[Developer Certificate of Origin][0] for details.

[0]: https://developercertificate.org/


## Other tips

You can increase the chance of your PR being merged by:

* having good test coverage
* writing documentation
* following PEP 8 for code formatting
* writing [a good commit message][1]

[1]: https://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html
